# HG changeset patch
# User Sherief N. Farouk
# Date 1257136518 18000
# Node ID e8e87bb8ca047bb54b10ba64e4fbdbef2e8fdc83
# Parent  aefcb26eb7cf86f2ff91fa50fb061ca9bccbc28b
Changed the signature of update_filter() to support reporting failure to the caller (via returning an error code).

diff -r aefcb26eb7cf -r e8e87bb8ca04 libspeex/resample.c
--- a/libspeex/resample.c	Sun Nov 01 23:32:44 2009 -0500
+++ b/libspeex/resample.c	Sun Nov 01 23:35:18 2009 -0500
@@ -547,7 +547,7 @@
 }
 #endif
 
-static void update_filter(SpeexResamplerState *st)
+static int update_filter(SpeexResamplerState *st)
 {
    spx_uint32_t old_length;
    
@@ -712,7 +712,7 @@
          st->magic_samples[i] += old_magic;
       }
    }
-
+   return RESAMPLER_ERR_SUCCESS;
 }
 
 EXPORT SpeexResamplerState *speex_resampler_init(spx_uint32_t nb_channels, spx_uint32_t in_rate, spx_uint32_t out_rate, int quality, int *err)
